Oracle patches Java flaw exploited in SSL BEAST attack

Mozilla says it won't ban the Java plug-in from Firefox after all

Oracle has released a new Java security update to address multiple vulnerabilities, including one exploited during a recently disclosed attack that can allow eavesdropping on encrypted communications.

Last month at the Ekoparty security conference in Buenos Aires, security researchers Juliano Rizzo and Thai Duong demonstrated a practical method of intercepting SSL (Secure Sockets Layer) and TLS (Transport Security Layer) traffic.

[ Master your security with InfoWorld's interactive Security iGuide. | Stay up to date on the latest security developments with InfoWorld's Security Central newsletter. ]

Their man-in-the-middle attack, dubbed the Browser Exploit Against SSL/TLS (BEAST), leverages a long-known theoretical issue which affects most of the SSL and TLS implementations currently used on the Internet.

To pull off the attack, Duong and Rizzo bypassed the browser's same-origin policy, a core security mechanism that prevents different opened websites from interfering with one another, by exploiting a vulnerability in the Java plug-in.

Identified as CVE-2011-3389, that vulnerability nearly led to Firefox developers banning Java from the browser following BEAST's disclosure. However, an agreement regarding that possible course of action could not be reached because such a decision would have broken many applications, especially in corporate environments where Java is used extensively.

Mozilla officially announced on Tuesday that blocking Java is off the table for now, especially since Oracle released a fix for the vulnerability. "We will not be blocking vulnerable versions of Java at this time, though we will continue to monitor for incidents of this vulnerability being exploited in the wild," the browser maker said.

Nevertheless, it's worth pointing out that deploying the patch does not entirely mitigate BEAST, because Java is just one of several technologies that can theoretically be exploited to achieve the same result.

A complete fix would involve migrating the entire Internet to TLS 1.1, a version of the protocol that's not vulnerable to this attack and has been available since 2006. However, that's obviously much easier said than done and won't happen overnight, if it ever does.

Despite its importance for the only known BEAST implementation so far, this Java vulnerability does not have a high risk rating. According to the corresponding Oracle advisory, CVE-2011-3389 has a base score of 4.3 of a maximum 10 on the CVSS (Common Vulnerability Scoring System) scale.

Other vulnerabilities addressed by the new Java update are considered much more critical, such as the five maximum-rated arbitrary code execution flaws in various components, along with several undisclosed ones. A separate SSL/TLS issue affecting the Java application sandbox and a DNS cache poisoning bug have also been fixed.

So far there have been no reports of BEAST attacks, except for the official demonstration at Ekoparty, but that might change in the future, so users are strongly advised to install the update as soon as possible. In fact, because it is one of the most frequently attacked browser plug-ins, updating Java should be considered a priority in general.

Recommended
Join the discussion
Be the first to comment on this article. Our Commenting Policies